<?php

namespace App\Dependency\Reminder;

use App\Entity\Reminder\Reminder;
use Lc\CaracoleBundle\Factory\Reminder\ReminderFactory;
use Lc\SovBundle\Factory\Reminder\ReminderFactoryInterface;
use Lc\SovBundle\Model\Reminder\ReminderInterface;
use Lc\SovBundle\Repository\Reminder\ReminderRepositoryInterface;
use App\Repository\Reminder\ReminderRepository;

class ReminderDependency implements DependencyInterface
{

    public function getAliases()
    {
        return [
                ReminderInterface::class => Reminder::class,
                ReminderFactoryInterface::class => ReminderFactory::class,
                ReminderRepositoryInterface::class => ReminderRepository::class,

                // doctrine entity
                // factory
                // repository
                // repository query
                // store
        ];
    }

}
